Bug 1585913 - systemd backport fix for nofile improvements in containerized environments
Summary: systemd backport fix for nofile improvements in containerized environments
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: David Tardon
QA Contact: Frantisek Sumsal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-05 05:41 UTC by GeorgeL
Modified: 2019-08-06 12:43 UTC (History)
3 users (show)

Fixed In Version: systemd-219-64.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 12:43:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2091 None None None 2019-08-06 12:43:49 UTC

Description GeorgeL 2018-06-05 05:41:11 UTC
Description of problem:

CentOS 7.5 systemd 219 within a lxd container doesn't properly set nofile open file limits. According to the below links, this was fixed in systemd 229+

https://github.com/systemd/systemd/pull/5795
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1686361

I can confirm it's fixed if i manually update centos 7.5 lxd guest containers systemd version to 234 https://discuss.linuxcontainers.org/t/ulimit-nofiles-in-centos-7-5-containers-a-systemd-bug/1953

Would be great if upstream Redhat 7.x systemd backported such a fix so native CentOS 7.5 guest lxd containers would properly set nofile.

Version-Release number of selected component (if applicable):

systemd 219


Steps to Reproduce:
1. launch a lxd guest container with centos 7.5 
2. try raising nofile limit for a service and check prlimit -p PID of process - it's fixed to 65536 in systemd 219 but properly changes if updated to systemd 234


Actual results:

try raising nofile limit for a service and check prlimit -p PID of process - it's fixed to 65536 in systemd 219

Expected results:

that raising a centos 7.5 service's nofile limit should be reflected when checking service process PID limits

Comment 4 Lukáš Nykrýn 2019-02-15 09:17:21 UTC
fix merged to staging branch -> https://github.com/lnykryn/systemd-rhel/pull/290 -> post

Comment 8 errata-xmlrpc 2019-08-06 12:43:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2091


Note You need to log in before you can comment on or make changes to this bug.